
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用IBM Rational Test Workbench和Android虚拟机执行移动测试 / iVAN</title>

    <meta name="description" content="使用IBM Rational Test Workbench和Android虚拟机执行移动测试 在本文中,您将学习如何使用 IBM® Rational® Test Workbench 版本 8.5 和 Android x86 4.0.3 虚拟机来执行移动测试. 先决条件 IBM Rational Test Workbench 版本 8.5 Android 2.2 - 4.2 对于 Android 已安装 Android SDK 21 备注:移动设备必须有一个可用的 Internet 连接.此外,移动设备必须与运行 Rational Test Workbench 的计算机在同一个网络上,并且">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用IBM Rational Test Workbench和Android虚拟机执行移动测试</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在本文中，您将学习如何使用 IBM&reg; Rational&reg; Test Workbench 版本 8.5 和 Android x86 4.0.3 虚拟机来执行移动测试。</p>
<p>先决条件</p>
<p>IBM Rational Test Workbench 版本 8.5 Android 2.2 - 4.2 对于 Android 已安装 Android SDK 21<br />
<br />备注：移动设备必须有一个可用的 Internet 连接。此外，移动设备必须与运行 Rational Test Workbench 的计算机在同一个网络上，并且应该可以 ping 到该计算机。</p>
<p>支持针对原生应用程序和混合应用程序的测试</p>
<p>您 可以使用 Rational Test Workbench 测试原生应用程序和混合应用程序。原生的 Andr​​oid 或 iOS 应用程序是使用原生 SDK 构建的，根据每个平台架构来定义其服务。Android 应用程序通常是使用 Java 或 C++ 创建的，而 iOS 应用程序则是使用 &quot;&gt;Objective-C 创建的。</p>
<p>混合应用程序组合了原生和 Web 技术的应用程序。Web 部分依赖于 HTML 5、CSS3 和 JavaScript。</p>
<p>移动测试过程中的各个阶段</p>
<p>为了帮助您实现目标，Rational Test Workbench 在测试过程中实现了以下几个阶段：</p>
<p>安装和配置：使用 Rational Test Workbench 和移动操作系统的 SDK 设置您的测试环境。在移动设备上安装移动测试客户端。确保移动设备有 Internet 连接，并且已经将该设备添加到了测试工作台中。 应用程序准备：将要测试的应用程序导入测试工作台中。 测试记录：从移动测试客户端运行应用程序，开始记录。记录器应用程序将会记录所有用户交互、传感器输入和应用程序行为，<br />
然后将记录的数据上传到测试工作台，在<br />
那里，可以将<br />
它们转换成一个移动测试。 测试编辑：在完成记录后，您可以在自然语言编辑器中编辑测试。您可以使用移动数据视图来显示和选择来自所记录应用程序的 UI 元素。您还可以用变量测试数据替换记录的测试值，或者将动态数据添加到测试中。 测试：在多个设备上部署并运行自动测试，确保应用程序在验证点符合所定义的预期行为。在运行期间，每个验证点都被检查，并获得一个 pass（通过）、fail（失败）或 inconclusive （未确定）状态，而且功能性数据也被记录下来。 结果评估：在测试结束后，移动设备会将测试数据上传到测试工作台。功能报告对接受测试的应用程序的行为提供一个综合视图。报告可以被导出并归档，以便进行验证。<br />
<br />为移动测试设置环境</p>
<p>下面详细说明如何设置环境，以便使用 Rational Test Workbench 执行移动测试。</p>
<p>在 Android 上安装移动测试客户端</p>
<p>要使用 Rational Test Workbench 执行移动测试，首先必须在移动设备上安装移动客户端。下面是完成该任务的三种方式：</p>
<p>在 Android 移动设备上安装移动测试客户端</p>
<p>为了从 Andr​​oid 移动设备执行记录和运行测试，您必须在设备上安装 Android Rational Test Workbench Mobile Client。以下是为了在设备上安装客户端而下载安装程序的步骤：</p>
<p>在 Rational Test Workbench 中，选中 File &gt; New &gt; Device。一个窗口会显示工作台的 URL 和包含该 URL 的一个 QR 代码。 根据所使用的移动设备，执行以下步骤之一： 如果移动设备配有摄像头和 QR 代码读取应用程序，<br />
那么请运行该 QR 代码应用程序，并扫描在工作台屏幕上显示的 QR 代码。 如果移动设备不能扫描 QR 代码，则打开 Web 浏览器并进入工作台屏幕上所显示的 URL。移动设备上会显示一个网页，其中包含移动测试客户<br />
端的下载链接。 在移动 Web 浏览器中，点击链接下载移动测试客户端安装程序。完成下载后，点击 “完成” 按钮。<br />
<br />如果移动测试客户端没有自动安装，则使用文件管理器应用程序找到 APK 安装程序文件（通常在 Downloads 文件夹中），然后手动运行安装程序。</p>
<p>使用 adb 安装 Android 移动测试客户端</p>
<p>在某些移动设备上，可能无法通过下载安装程序来安装 Android IBM Rational Test Workbench Mobile Client。本主题将介绍另一种安装方法，使用 USB 连接和 Android SDK 所提供的 adb 工具完成安装。</p>
<p>为了使用 adb 安装 Android 移动测试客户端，请遵循以下步骤：</p>
<p>在 Rational Test Workbench 中，选中 File &gt; New &gt; Device。Add New Device 向导将会显示 Workbench URL。 打开 Web 浏览器，输入 Workbench URL，并下载移动测试客户端。 将 com.ibm.rational.test.mobile.android.client.ui-release.apk 复制到一个临时文件夹中，比如 C:\tmp。 打开一个命令提示符窗口，并指向 Android SDK 目录，通常是 C:\Users\Administrator\AppData\Local\Android\android-sdk\platform-tools。 输入以下命令： adb connect &lt;IP address of workbench computer&gt; adb install &lt;temporary folder&gt;/com.ibm.rational.test.mobile.android.client.ui-release.apk<br />
<br />在一个模拟器上安装 Android 移动测试客户端</p>
<p>如果 Android 设备运行在虚拟机或在由 Android SDK 提供的模拟器上，那么可以通过下载或使用 adb 工具安装 Rational Test Workbench Mobile Client。</p>
<p>配置 Android 移动测试客户端</p>
<p>为 了使用 Android 移动设备来上传移动应用程序并记录或运行测试，必须配置 Rational Test Workbench Mobile Client，让它连接到 Rational Test Workbench。将一个移动设备添加到测试工作台，请遵循以下步骤：</p>
<p>在 Test Navigator 视图中，右键单击 Mobile devices 节点并选中 Available Mobile DevicesMobile Devices 编辑器将会打开。 在编辑器中，单击图标 Add device to list将设备添加到列表中。 在移动设备或模拟器上，启动移动客户端。 完成以下步骤之一： 如果移动设备配有摄像头，则点击 QR 代码按钮，并扫描在测试工作台上显示的 QR 代码。该步骤对模拟器不适合。 点击 Set Workbench &gt; Address 并手动输入 URL。<br />
<br />该设备的名称和属性显示在测试工作台的 Mobile Devices 编辑器中。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:41:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%99%9a%e6%8b%9f%e6%9c%ba/" title="虚拟机">虚拟机</a>, <a href="https://www.iamivan.net/tag/ibm/" title="IBM">IBM</a>, <a href="https://www.iamivan.net/tag/%e7%a7%bb%e5%8a%a8%e6%b5%8b%e8%af%95/" title="移动测试">移动测试</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用IBM Rational Test Workbench和Android虚拟机执行移动测试的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj72GmM.html" rel="bookmark">使用IBM Rational Test Workbench测试Android App应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IBM Rational Test Workbench(简称 RTW)是 IBM Rational 的统一的测试工具集,包括功能测试.性能 测试.接口 SOA 测试等模块,满足客户多种类型的自动化测试需求.在 IBM 发布新的 RTW 8.5 版本,RTW 又增加了针对移动应用的 App 自动化测试功能,目前支持 Android.Apple iOS 两个版本的 App 应用.本文 就介绍如何快速使用 RTW 8.5 对 Android 应用进行自动化测试. 概括 IBM Rational Tes			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wWXNp.html" rel="bookmark">使用IBM Rational的统一的测试工具集测试并仿真Web Services</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IBM Rational Test Workbench(RTW)是 IBM Rational 的统一的测试工具集,包括功能测试.性能测试 .接口测试等模块,满足客户多种类型的自动化测试需求.其中 Rational Integration Tester(以下简称 RIT)是接口测试工具,可以对包括 Web Services.HTTP.Socket.MQ.Database 等多种类型的接口直接进 行自动化的功能/性能测试测试.本文介绍如何通过 Rational Integration Tester			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwX5mz.html" rel="bookmark">Rational Test Workbench 基础：初识 Rational Test Workbench</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了实现全面自动化测试的目标,IBM 推出了Rational Test Workbench(简称 RTW)统一测试工具集,包 括自动化功能测试,性能测试,接口集成测试,手机移动 App 自动化测试以及服务虚拟化等模块,满足客户 多种类型的自动化测试需求.我们将通过系列文章,结合具体的应用,和大家一起分析如何使用 RTW 完成手 机自动化测试,接口集成测试,以及通过服务虚拟化实现测试环境的仿真,从而展示 RTW 全面的自动化测试 能力,方便大家了解 RTW 并在您的实际工作中应用 RTW. 前言			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Y2Akz.html" rel="bookmark">使用IBM Rational Test Virtualization Server测试移动应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IBM Rational Test Workbench 可帮助模拟可以在集成测试中使用的后端服务.此功能消除了完全理解后端域的需求,使得测试移动应用程序变得更 轻松.学习如何使用 IBM® Rational® Test Virtualization Server 测试移动应用程序,而不修改任何代码来使用称为 &quot;存根(stubs)&quot; 的虚拟服务.要通过模拟类似行为来实现存根,则需要分析移动应用程序接口函数的输入和输出行为,这些行为通常是存根执行的操作.移动应用程序连接配置被更 改为通过一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKQdBM.html" rel="bookmark">在IBM Rational Performance Tester中录制Android客户端应用程序测试脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编写本文的背景 随着智能电话使用率的增长,越来越多的基于 Web 的应用程序开始提供从移动客 户端访问的能力,无论该客户端是浏览器还是原生应用程序.在这两种情况下,这些客户端都可以使用 HTTP 作为网络协议,在理论上,可以使用主要的负载测试工具对它们进行测试.但另一方面,目前的大多数可用产 品(包括 IBM Rational Performance Tester)都没有内置的功能来录制对移动客户端应用程序的测试. 本文将介绍如何使用 Android 模拟器,设置一个简单框架,在 Rationa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX2r44b.html" rel="bookmark">IBM Rational案例及和故障排除技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在第 2 部分,他们将展现更多的案例及和故障排除技巧.这个由两部分组成的系列文章将通过具体示例探讨虚拟化的优缺点.在第 1 部分中,我们将从总体上解释虚拟化,尤其是它与 IBM Rational 软件的关系.我们将覆盖虚拟化的四个维度,CPU.内存. 磁盘输入/输出(I/O)及存储.网络等应如何通过关联性(专用资源)被恰当地管理而不会过度承诺.我们所给出的例子展示了被恰当管理的虚拟化是如何彻底影响 IBM® Rational® 产品.尤其是我们所展示的两个http://www.aliyun.co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9JD8op.html" rel="bookmark">IBM Rational细节和故障排除技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				三位 IBM 专家将介绍 Rational 视角下的虚拟化,以及虚拟化环境从 Rational 应用程序中 获取最优性能的关键要求.他们还将分享两个案例分析的细节和故障排除技巧.每个人都在谈论虚拟化.根据宣传,虚拟化将引发 IT 革命(众所周知),优化稀缺资源,并节省每个人的钱.服务器虚拟化有望成为 10 年内最重要的发展之一.但是,虚拟化已经存在了很长时间,而且 IBM 已 借助 IBM® System z® 和 Power Systems 平台成为这一领域的领导者.在过去几年中,System			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyyrnPM.html" rel="bookmark">IBM Rational故障排除和特定于供应商的示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每个人都在谈论虚拟化.根据宣传,虚拟化将引发 IT 革命(众所周知),优化稀缺资源,并节省每个人的钱.http://www.aliyun.com/zixun/aggregation/13995.html&quot;&gt;服务器虚拟化有望成为 10 年内最重要的发展之一.但是,虚拟化已经存在了很长时间,而且 IBM 已借助 IBM® System z® 和 Power Systems 平台成为这一领域的领导者.在过去几年中,System x® 和基于 Intel 的 x86 架构上的虚拟化技术已发展成熟并			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8j2Pxb.html" rel="bookmark">IBM Rational Rhapsody 8&period;0&period;3和Design Manager 4&period;0&period;3新功能概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				针对系统工程和软件开发的易用性.性能提升和工程生命周期工作流改进 新功能集锦 IBM Rational Rhapsody Version 8.0.3 使系统工程师和软件工程师能够以敏捷方式更轻松地捕获和验证他们的设计和工作. 操作语言使您能够指定功能并验证行为,通过自动一致性检查更轻松地查找问题,这使模拟变得更轻松. Rhapsody 的 64 位版本提高了性能,加速了用于敏捷开发的持续集成,还支持与 64 位的 Rational Team Concert 集成. 新的循序渐进的 Guide M			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYJX6p.html" rel="bookmark" class="title">在 DW 中插入 Flash 的参数详解</a>
					<div>
						插入|详解 在Dreamweaver中插入FLASH后还可以有很多的控制参数,点属性面板右下的参数钮,就会有参数和值的加入.大家可以自由的控制, 以下内容摘自 Flash MX 2004 帮助文档 参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM68egz.html" rel="bookmark" class="title">谈站长扩展出合适的长尾关键词的三个技巧</a>
					<div>
						对于主关键词的选择,也许大部分站长都知道其方法了,不过网站优化除了要优化主关键词之外,还需要适当的优化一些长尾关键词来提高网站流量.而对于长尾关键词的选择优化,其中必定有比较好的方法,比如说与网站相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaXwqz.html" rel="bookmark" class="title">第二十章-开发Delphi对象式数据管理功能（三）&lpar;1&rpar;</a>
					<div>
						20.2.1.1 TFiler对象的属性和方法 1. Root属性 声明:property Root: TComponent; Root 属性给Filer对象指出被读写的对象中哪一个对象是根或主要拥有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPBZwz.html" rel="bookmark" class="title">使用文件服务器移植工具减少共享文件夹移植的麻烦</a>
					<div>
						由于很多管理员都经历过从早期的Windows服务器操作系统版本(如,Windows NT 4.0和Windows 2000)到Windows 2003 Server的更新,所以,他们中的多数人都遇到过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6OGvz.html" rel="bookmark" class="title">一个CFileFind的扩展类CFileFindExt</a>
					<div>
						一.类CfileFindExt功能说明 大家经常需要对指定目录下的所有文件进行搜索或其它相同操作.若文件数很多,逐一对每个文件手工操作,很费时.本文提供一个搜索或处理指定目录下的所有文件的C++类.作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPwXOz.html" rel="bookmark" class="title">反应灵敏的用户界面</a>
					<div>
						作为我们的起点,请思考一个需要执行某些CPU密集型计算的程序.由于CPU&quot;全心全意&quot;为那些计算服务,所以对用户的输入十分迟钝,几乎没有什么反应.在这里,我们用一个合成的applet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91q0dM.html" rel="bookmark" class="title">MFC绘图5--使用透明画刷</a>
					<div>
						//创建透明画刷 CClientDC dc(this); //使用(HBRUSH)GetStockObject可以返回空画刷句柄,但CBrush //无法通过画刷句柄构造,可通过给其静态成员函数Fro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjo72p.html" rel="bookmark" class="title">编写第一个Django app，第五部分&mdash;&mdash;自定义管理员功能</a>
					<div>
						自定义admin表单 这足以让我们惊讶好几分钟,所有的代码我们都不需要写. 当我们调用admin.site.register(Poll)时,Django只让你编辑这个对象并&quot; 推测&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wV9rp.html" rel="bookmark" class="title">Photoshop制作绚丽大气的彩色烟花字</a>
					<div>
						  Photoshop制作绚丽大气的彩色烟花字.烟花字用滤镜制作是最快的,前期先用画面描边路径给文字边框加上光斑;然后用风和极坐标滤镜给光斑加上尾巴;最后调整好颜色和亮度即可. 最终效果 &lt;点小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kr7Rz.html" rel="bookmark" class="title">IE9总是要在新窗口中打开网页</a>
					<div>
						我们先确认一下IE浏览器的设置是否正确.在键盘上按一下&quot;Alt+T&quot;,单击&quot;Internet 选项&quot;. 在&quot;常规&quot;选项卡中,按一下&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7Z32M.html" rel="bookmark" class="title">如何让PowerPoint文字跳动起来</a>
					<div>
						  下面就跟着小编一起来看看在PowerPoint中制作跳动的文字效果! 如图1,将PowerPoint的背景色设置为黑色,插入一个文本框,并输入文字&quot;PowerPoint&quot;,设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw72Rz.html" rel="bookmark" class="title">PS制作流行花边文字</a>
					<div>
						最终效果图: 第一步: 打开花纹素材,让设置前景色为#a9834f. 然后我们按CTRL+U,调整&quot;色相/饱和度&quot;.设置如下: 然后到编辑&gt;定义图案.自己设置个名字. 第二步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN153ob.html" rel="bookmark" class="title">Windows中无法删除桌面IE图标</a>
					<div>
						  Windows中无法删除桌面IE图标的解决方法 解决方法其实并不难,打开注册表, 转到如下图的位置,详细地址在图片最下面: 需要注意的是,你需要在NameSpace中逐个查看各个项目的数据值, 显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGAOWp.html" rel="bookmark" class="title">96微信编辑器素材头像怎么换掉？</a>
					<div>
						  96微信编辑器素材头像怎么换掉?最近,不少人都在使用96微信编辑器这个软件,因为96微信编辑器编辑微信文章很方便.有用户在问,96微信编辑器素材头像怎么换掉?那么,就快和小编一起来看看吧. 首先选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWojjp.html" rel="bookmark" class="title">调试利器之wireshark</a>
					<div>
						简介 Wireshark(前称Ethereal)是一个网络数据包分析软件.网络数据包分析软件的功能是截取网络数据包,并尽可能显示出最为详细的网络数据包数据.Wireshark使用WinPCAP作为接口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjY9rp.html" rel="bookmark" class="title">【原】工作中常用win7快捷键</a>
					<div>
						本文的快捷键只要是笔者工作中(前端开发)常用的,个人觉得比较实在.好用,推荐给各位,希望对大家有所帮助. 1. Ctrl + Shift + N – 创建一个新的文件夹 你需要在文件夹窗口中或者桌面按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7K3Pp.html" rel="bookmark" class="title">ELK之ES-Logstash-Kibana互联</a>
					<div>
						好久没有写,这久都是在做ELK的数据化模板,觉得还是有些东西需要写下来的,前面我已经写过了EKL的安装,今天就来说一下ELK三个软件之间的连接把. # 关系介绍: ES是一个文档数据库,Logstas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmN6qM.html" rel="bookmark" class="title">Scrapy安装介绍</a>
					<div>
						一. Scrapy简介 Scrapy is a fast high-level screen scraping and web crawling framework, used to crawl we ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwEVAM.html" rel="bookmark" class="title">eclipse插件egit在往github上push图片</a>
					<div>
						问题描述 eclipse插件egit在往github上push图片 5C 已经在github上创建好了仓库,并且代码能push成功,但是项目中添加了图片后,想将图片push到远程仓库中时,eclips ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRnXZp.html" rel="bookmark" class="title">基思&CenterDot;亚历山大出席一场黑客大会，呼吁&OpenCurlyDoubleQuote;互联网人才&rdquo;与政府联手，确保互联网安全</a>
					<div>
						第20届&quot;防御态势&quot;(Def Con)黑客大会在美http://www.aliyun.com/zixun/aggregation/653.html&quot; style=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjxdZM.html" rel="bookmark" class="title">Facebook宣布发布新产品</a>
					<div>
						6月18日消息,6月20日这天真的很热闹,三星此前宣布当天将在伦敦举行新品发布会,社交网站Facebook也发布邀请函,表示6月20日将有&quot;new product&quot;发表. 自4月初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjx4OM.html" rel="bookmark" class="title">初学go语言就遇到问题。求助</a>
					<div>
						问题描述 初学go语言就遇到问题.求助 如图所示.运行的时候不出结果,运行build的时候也没有exe文件生成. 解决方案 package main //这个是必须的,所有的go文件必须以 packa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK196p.html" rel="bookmark" class="title">《Cisco安全防火墙服务模块（FWSM）解决方案》&mdash;&mdash;2&period;4 虚拟化</a>
					<div>
						2.4 虚拟化 Cisco安全防火墙服务模块(FWSM)解决方案 虚拟化或者多context模式能够将FWSM从逻辑上分割为多个单独的防火墙实例,如图2-1所示.这些单独的实例或context具有各自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWAyKz.html" rel="bookmark" class="title">java如何使用qmail进行邮件转发</a>
					<div>
						问题描述 java如何使用qmail进行邮件转发 我个人不太了解qmail,因为自己接触的一个功能用perl整合qmail实现了邮件的转发.现在要用java实现相同的功能.这个实在没有思路,求助大神看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNNYQp.html" rel="bookmark" class="title">javascript showModalDialog传值与FireFox的window&period;open 父子窗口传值示例第1&sol;2页&lowbar;javascript技巧</a>
					<div>
						先简单介绍一下基本知识: 一.window.open()支持环境: Java1.0+/J1.0+/Nav2+/IE3+/Opera3+ 二.基本语法: window.open(pageURL,name ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkQkJM.html" rel="bookmark" class="title">如何让百度、GG快速度收录</a>
					<div>
						.建站前的准备:空间与域名的选择 空间要找快速稳定的,这个不用多说,在选择的时候要先查一查同ip下都有什么站,有没有不良的或是受过处罚的站.域名的话以.com为佳,名称最好贴近网站主题,最重要的是要查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkB6OM.html" rel="bookmark" class="title">&period;net行业的困境，我该如何规划自己的职业生涯？</a>
					<div>
						问题描述 刚大学毕业,之前在学校学习不怎么努力,到了真正要学习的时候才觉得自己对于专业知识什么都不懂,觉得挺可悲的,后来通过自己的努力,也花上了一点时间,把我们的专业知识过了一遍,主要是.net技术, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByQNAz.html" rel="bookmark" class="title">Spring Security HTTP Basic for RESTFul and FormLogin &lpar;Cookies&rpar; for web - Annotations</a>
					<div>
						@Configuration @EnableWebMvcSecurity @EnableGlobalMethodSecurity(securedEnabled = true, prePostEnabl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Y7a7p.html" rel="bookmark" class="title">很不错的农历代码</a>
					<div>
						这个是在安全焦点上找到的,一个牛人写的,很不错的! 嘿嘿!今天在baidu上也发现了这个东西,只不过功能更强劲一点罢了,都是一样的! 百渡的万年历的查询居然连结的也是一样的,嘿嘿!演示地址为: htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9N88Rp.html" rel="bookmark" class="title">搜了网：移动互联网时代的颠覆式观念分享</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 移动互联网时代如何占据自己的一席之地是现在大大小小的企业都在思考的问题.现在51搜了网编辑,整理了一些独到的观点分享给大家: No.1定位越小越好 过去 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
